<?php
/**
 * Plugin Name: ALIVE Platform - Discount Manager
 * Description: Displays ISIC benefit providers, discounts and locations based on data in Discount Manager. You can setup your plugin <a href="/wp-admin/options-general.php?page=alive-dm-plugin-admin" />here</a>. To include full discount search interface, use [dm_full_discounts list_header="{your-header-text}" card_types="{comma-separated-card-types}" card_types_brands="{card_type=name,card_type=name ...}"], or searchbox [dm_searchbox url="{url-of-page-with-search-interface}"] and for newest discounts simply [dm_newest_discounts limit="{number-of-displayed-items}" url="{url-of-page-with-search-interface}"] Full description and instructions can be found <a href="/wp-content/plugins/alive-dm-plugin/readme.html" target="_blank">here</a>
 * Version: 1.23.0
 * Author: BOOTIQ s.r.o.
 * Author URI: https://www.bootiq.io/
 */

if (!defined('WPINC')) {
    die;
}

require_once('global-functions.php');
require_once('alive-dm-plugin-functions.php');

Alive\Dm\init_autoloading();
Alive\Dm\init_translating();
Alive\Dm\register_uninstall();

Alive\Dm\Plugin::init();
