<?php

namespace Alive\Dm;

class Log {

    public static function critical($msg) {
        error_log(self::prefix('CRITICAL') . $msg);
        wp_die(
            __dm(
                  'Internal error occurred. Try to refresh the page.'
                . 'If error persists, please contact site administrator at '
                . config::admin_email()
                . '.'
            )
        );
    }

    public static function error($msg) {
        error_log(self::prefix('ERROR') . $msg);
    }

    public static function warning($msg) {
        error_log(self::prefix('WARNING') . $msg);
    }

    private static function prefix($severity) {
        return '[alive-dm-plugin][' . $severity . '] ';
    }
}
